/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.jxmap.map;

import java.awt.event.MouseEvent;

/**
 *
 * @author Timon Veenstra
 */
public class MapMouseEvent {
    private final MouseEvent event;
    private boolean consumed = false;

    public MapMouseEvent(MouseEvent event) {
        this.event = event;
    }

    public boolean isConsumed() {
        return consumed;
    }
    
    public void consume(){
        consumed = true;
    }

    public MouseEvent getEvent() {
        return event;
    }
    
    
}
