/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.jxmap.render;

import com.vividsolutions.jts.geom.MultiLineString;
import com.vividsolutions.jts.geom.MultiPolygon;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;

/**
 *
 * @author Timon Veenstra
 */
public class GeometryRendererFactory {

    private GeometryRendererFactory(){}
    
    public static GeometryRenderer getRenderer(Object geometry) {
        GeometryRenderer renderer = null;

        if (geometry instanceof Point) {
            renderer = new PointRenderer();
        } 
        else if (geometry instanceof MultiPolygon) {
            renderer = new GeometryRenderer();
        }
        else if (geometry instanceof Polygon) {
            renderer = new GeometryRenderer();
        }         
        else if (geometry instanceof MultiLineString) {
            renderer = new MultiLineStringRenderer();
        } 
        

        return renderer;
    }
}
