/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.jxmap.render;

import java.awt.Graphics2D;
import nl.cloudfarming.client.geoviewer.Palette;
import org.jdesktop.swingx.JXMapViewer;
import org.opengis.coverage.Coverage;

/**
 *
 * @author Timon Veenstra
 */
public interface RasterRenderer<R extends Coverage> {

    /**
     * paint the raster
     *
     * @param raster
     * @param mapViewer
     * @param graphics
     */
    void paint(R raster, JXMapViewer mapViewer, Graphics2D graphics, Palette palette);
}
